<div class="w-100 h-100 centrado">
    <div class="w-50 container">
        <div class="card">
          <div class="card-body">
            <div style="display: flex;">
                <input type="text" name="cuenta" [(ngModel)]="cuenta" placeholder="Nº de Cuenta" class="form-control" autofocus>
                <button class="btn btn-success btn-block" (click)="obtenerHistorico()" ><mat-icon>search</mat-icon>
                </button>
            </div>
            <br>
            <div *ngIf="control > 0">
                <h2>Histórico</h2>
                <div>
                    <ngx-datatable
                          class="material"
                          [headerHeight]="50"
                          [limit]="10"
                          [rows]="listaHistorico"
                          [scrollbarH]="true" 
                          id = "tabla"
                        >
                          <ngx-datatable-column name='Nombre' >
                            <ng-template let-row="row" ngx-datatable-cell-template>
                              {{ row?.nombre }}
                            </ng-template>
                          </ngx-datatable-column>
                          <ngx-datatable-column name='Descripción' >
                            <ng-template let-row="row" ngx-datatable-cell-template>
                              {{ row?.descripcion }}
                            </ng-template>
                          </ngx-datatable-column>
                          <ngx-datatable-column name='Cantidad' >
                            <ng-template let-row="row" ngx-datatable-cell-template>
                              ${{ row?.precio }}
                            </ng-template>
                          </ngx-datatable-column>
                          <ngx-datatable-column name='Sucursal' >
                            <ng-template let-row="row" ngx-datatable-cell-template>
                              {{ row?.sucursal }}
                            </ng-template>
                          </ngx-datatable-column>
                    </ngx-datatable>
                </div>
                <h2>Totales</h2>
                <div>
                    <ngx-datatable
                          class="material"
                          [headerHeight]="50"
                          [limit]="10"
                          [rows]="listaTotales"
                          [scrollbarH]="true" 
                          id = "tabla"
                        >
                          <ngx-datatable-column name='Compras' >
                            <ng-template let-row="row" ngx-datatable-cell-template>
                              ${{ row?.compras }}
                            </ng-template>
                          </ngx-datatable-column>
                          <ngx-datatable-column name='Recargas' >
                            <ng-template let-row="row" ngx-datatable-cell-template>
                              ${{ row?.recargas }}
                            </ng-template>
                          </ngx-datatable-column>
                          <ngx-datatable-column name='Saldo' >
                            <ng-template let-row="row" ngx-datatable-cell-template>
                              ${{ row?.total }}
                            </ng-template>
                          </ngx-datatable-column>
                    </ngx-datatable>
                </div>
            </div>
          </div>
        </div>
    </div>
  </div>

  
